.theme-switch {
  display: flex;
  justify-content: space-between;
  align-items: center;
  border-bottom: 1px solid lightgray;
  padding-bottom: 20px;
  margin-bottom: 30px;

  .logo {
    display: flex;

    h1 {
      font-weight: bold;
      color: #ff5662;
    }

    img {
      margin-left: 5px;
      width: 15px;
      height: 15px;
      object-fit: contain;
    }
  }

  .switch {
    position: relative;
    display: inline-block;
    width: 50px;
    height: 25px;

    input {
      opacity: 0;
      width: 0;
      height: 0;

      &:checked+.slider {
        background-color: purple;
      }

      &:focus+.slider {
        box-shadow: 0 0 1px #281761;
      }

      &:checked+.slider:before {
        transform: translateX(24px);
        background-color: white;
      }
    }

    .slider {
      position: absolute;
      cursor: pointer;
      top: 0;
      left: 0;
      right: 0;
      bottom: 0;
      background-color: white;
      border: 1px solid #281761;
      -webkit-transition: .4s;
      transition: .4s;
      border-radius: 34px;

      &:before {
        position: absolute;
        content: "";
        height: 22px;
        width: 22px;
        left: 0;
        bottom: 0;
        top: 0;
        margin: auto;
        background-color: #281761;
        border-radius: 50%;
        -webkit-transition: .4s;
        transition: .4s;
      }
    }
  }
}